/* Global */

* {
  box-sizing : border-box;
}

body,
html {
  height     : 100%;
  min-height : 100%;
}

body {
  margin           : 0;
  background-color : #e7e7e7;
  font-family      : 'Roboto',
                     sans-serif;
}

/* Credit Card */

.credit-card {
  width            : 360px;
  height           : 400px;
  margin           : 60px auto 0;
  border           : 1px solid #ddd;
  border-radius    : 6px;
  background-color : #fff;
  box-shadow       : 1px 2px 3px 0px rgba(0,0,0,0.10);
  margin-top: 0px;
}

.form-header {
  height        : 60px;
  padding       : 20px 30px 0;
  border-bottom : 1px solid #E1E8EE;
}

.form-body {
  height  : 340px;
  padding : 30px 30px 20px;
}

/* Title */

.title {
  margin    : 0;
  color     : #5e6977;
  font-size : 18px;
}

/* Common */

.card-number,
.cvv-input input,
.month select,
.paypal-btn,
.proceed-btn,
.year select {
  height : 42px;
}

.card-number,
.month select,
.year select {
  font-size   : 14px;
  font-weight : 100;
  line-height : 14px;
}

.card-number,
.cvv-details,
.cvv-input input,
.month select,
.year select {
  color   : black;
  opacity : .7;
}

/* Card Number */

.card-number {
  width         : 100%;
  margin-bottom : 20px;
  padding-left  : 20px;
  border        : 2px solid #e1e8ee;
  border-radius : 6px;
}

/* Date Field */

.month select,
.year select {
  -moz-appearance     : none;
  -webkit-appearance  : none;
  width               : 145px;
  margin-bottom       : 20px;
  padding-left        : 20px;
  border              : 2px solid #e1e8ee;
  border-radius       : 6px;
  background          : url('caret.png') no-repeat;
  background-position : 85% 50%;
}

.month select {
  float : left;
}

.year select {
  float : right;
}

/* Card Verification Field */

.cvv-input input {
  width         : 145px;
  float         : left;
  padding-left  : 20px;
  border        : 2px solid #e1e8ee;
  border-radius : 6px;
  background    : #fff;
}

.cvv-details {
  float         : right;
  margin-bottom : 20px;
  font-size     : 12px;
  font-weight   : 300;
  line-height   : 16px;
}

.cvv-details p {
  margin-top : 6px;
}

/* Buttons Section */

.paypal-btn,
.proceed-btn {
  cursor: pointer;
  width         : 100%;
  border-color  : transparent;
  border-radius : 6px;
  font-size     : 16px;
}

.proceed-btn {
  margin-bottom : 10px;
  background    : #7dc855;
}

.paypal-btn a,
.proceed-btn a {
  text-decoration : none;
  cursor          : pointer;
}

.proceed-btn a {
  color : #fff;
}

.paypal-btn a {
  color : rgba(242, 242, 242, 0.7);
}

.paypal-btn {
  padding-right : 95px;
  background    : url('paypal-logo.svg') no-repeat 65% 56% #009cde;
}